RegionFactoryInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.cache.internal
Class RegionFactoryInitiator

    java.lang.Object
      org.hibernate.cache.internal.RegionFactoryInitiator

All Implemented Interfaces:
  BasicServiceInitiator<RegionFactory>, ServiceInitiator<RegionFactory>

    public class RegionFactoryInitiator

extends Object
implements BasicServiceInitiator<RegionFactory>

Initiator for the `RegionFactory` service.

Field Summary
`static String` | `IMPL_NAME` Property name to use to configure the full qualified class name for the `RegionFactory`
`static RegionFactoryInitiator` | `INSTANCE`

Constructor Summary
`RegionFactoryInitiator()`

Method Summary
`Class<RegionFactory>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`RegionFactory` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.
`static String` | `mapLegacyNames(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final RegionFactoryInitiator INSTANCE

### IMPL_NAME

    public static final String IMPL_NAME

  Property name to use to configure the full qualified class name for the `RegionFactory`

  See Also:
    Constant Field Values

Constructor Detail

### RegionFactoryInitiator

    public RegionFactoryInitiator()

Method Detail

### getServiceInitiated

    public Class<RegionFactory> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<RegionFactory>`
  Returns:
    The service role.

### initiateService

    public RegionFactory initiateService(Map configurationValues,
                                         ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<RegionFactory>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

### mapLegacyNames

    public static String mapLegacyNames(String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.